### Virtual Method

# Ide Worker create_proxy

#### Declaration

    GDBusProxy*
    create_proxy (
      IdeWorker* self,
      GDBusConnection* connection,
      GError** error
    )

#### Description

Creates a new proxy to be connected to the subprocess peer on the other end of `connection`.

Available since: | 3.32

#### Parameters

`connection` | `GDBusConnection`
| A `GDBusConnection` connected to the worker process.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GDBusProxy`
| A `GDBusProxy` or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.